<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

/**
 * This class is for converting error codes to error descriptiions.
 * 
 * It isn't rather used by a used but it's used by classes of the library.
 * 
 * @package operations
 * @since 1.3.0
 */
class PartnerAPIError {
    
    /**
     * A set of status descriptions.
     * 
     * @var array
     */
    protected $texts_status = array(
        'en' => array(
            1 => 'Error occurred during processing',
            2 => 'Authentication data in requestHeader/authToken element are incorrect.'
        ),
        'pl' => array(
            1 => 'Wystąpił ogólny błąd podczas przetwarzania zamówienia. Należy skontaktować się z CERTUM w celu zdiagnozowania problemu.',
            3 => 'Dane autoryzacyjne w elemencie requestHeader/authToken nie są poprawne.'
        )
    );
    
    /**
     * A set of error descriptions.
     * 
     * @var array
     */
    protected $texts_error = array(
        'en' => array(
            1000 => 'CSR key length is too short.',
            1001 => 'Public key algorithm from CSR is not supported.',
            1002 => 'Element orderParameters/CSR not fund or empty.',
            1007 => 'Element quickOrder/SANEntries not found.',
            1008 => 'Element quickOrder/SANEntries/SANEntry/DNSName has wrong domain name.',
            1009 => 'Element quickOrder/requestorInfo not found.',
            1010 => 'Element quickOrder/orderParameters not found.',
            1011 => 'Element quickOrder/orderParameters/orderId not found.',
            1012 => 'Order ID is already taken.',
            1013 => 'Wrong order ID.',
            1014 => 'Element quickOrder/orderParameters/productCode not found.',
            1015 => 'Attribute CommonName from CSR-a not found.',
            1016 => 'Attribute Organization from CSR-a not found.',
            1017 => 'Attribute OrganizationUnit from CSR-a not found.',
            1018 => 'Attribute Locality from CSR-a not found.',
            1019 => 'Attribute State from CSR-a not found.',
            1020 => 'Attribute Country from CSR-a not found.',
            1021 => 'Attribute EmailAddress from CSR-a not found.',
            1022 => 'Email address has errors.',
            1023 => 'Valu of orderParameters/customer element cannot be the same as requestHeader/authToken/username element.',
            1024 => 'Attribute CommonName from CSR has to be encoded as UTF8String.',
            1025 => 'Attribute EmailAddress from CSR has to be encoded as IA5String.',
            1026 => 'Attribute Country from CSR has to be encoded as PrintableString.',
            1027 => 'Attribute State from CSR has to be encoded as UTF8String.',
            1028 => 'Attribute Locality from CSR has to be encoded as UTF8String.',
            1029 => 'Attribute OrganizationUnit from CSR has to be encoded as UTF8String.',
            1030 => 'Attribute Organization from CSR has to be encoded as UTF8String.',
            1031 => 'Attribute CommonName from CSR has to be encoded as PrintableString.',
            1032 => 'Public key from CSR has already been used.',
            1033 => 'Order ID does not exist.',
            1034 => 'Element quickOrder/approvers not found.',
            1035 => 'Element quickOrder/approvers/Approver/FQDN not found.',
            1036 => 'Domain in element quickOrder/approvers/Approver/FQDN has errors.',
            1037 => 'Address e-mail in element quickOrder/approvers/Approver/approverEmail has errors.',
            1038 => 'Element quickOrder/approvers/Approver/approverEmail not found.',
            1039 => 'Too many elements quickOrder/approvers/Approver/approverEmail.',
            1040 => 'Element quickOrder/approvers/Approver/approveMethod not found.',
            1041 => 'Too many elements quickOrder/approvers/Approver/approveMethod.',
            1042 => 'Domain verification method not supported.',
            1043 => 'Order ID contains characters that are not allowed.',
            1044 => 'Certificate date is “from the past”.',
            1045 => 'Domain in CommonName from CSR is not present in quickOrder/SANEntries.',
            1046 => 'Only one domain in quickOrder/SANEntries element May contain asterix “*” in domain name.',
            1047 => 'Element quickOrder/organizationInfo/organizationName not found or has incorrect value.',
            1048 => 'Element quickOrder/organizationInfo/taxIdentificationNumber not found or has incorrect value.',
            1049 => 'Cannot read public key from CSR-a.',
            1050 => 'Element quickOrder/requestorInfo/addressLine1 not found.',
            1051 => 'Element quickOrder/requestorInfo/city not found.',
            1052 => 'Element quickOrder/requestorInfo/country not found.',
            1053 => 'Element quickOrder/requestorInfo/email not found.',
            1054 => 'Element quickOrder/requestorInfo/firstName not found.',
            1055 => 'Element quickOrder/requestorInfo/lastName not found.',
            1056 => 'Element quickOrder/requestorInfo/phone not found.',
            1057 => 'Element quickOrder/requestorInfo/postalCode not found.',
            1058 => 'Element quickOrder/requestorInfo/country contains incorrect country code',
            1059 => 'Attribute Country from CSR-a not found.',
            1060 => 'Email address from quickOrder/requestorInfo/email element is incorrect.',
            1061 => 'Value from quickOrder/requestorInfo/addressLine1 element exceeded 255 characters.',
            1062 => 'Value from quickOrder/requestorInfo/addressLine2 element exceeded 255 characters.',
            1063 => 'Public key form CSR is blacklisted.',
            1064 => 'Value from quickOrder/requestorInfo/city element exceeded 255 characters.',
            1065 => 'Value from quickOrder/requestorInfo/lastName element exceeded 255 characters.',
            1066 => 'Value from quickOrder/requestorInfo/phone element exceeded 255 characters.',
            1067 => 'Value from quickOrder/requestorInfo/country element exceeded 255 characters.',
            1068 => 'Value from quickOrder/requestorInfo/postalCode element exceeded 255 characters.',
            1069 => 'Certificate data in orderParameters/validityPeriod element exceeded allowed validity period for this product.',
            1070 => 'Element organizationInfo/validityPeriod/notBefore not found.',
            1071 => 'Element organizationInfo/validityPeriod/notAfter not found.',
            1072 => 'Value from quickOrder/requestorInfo/firstName element exceeded 255 characters.',
            1073 => 'Date in organizationInfo/validityPeriod/notAfter element must be in YYYY-MM-DD form.',
            1074 => 'Date in organizationInfo/validityPeriod/notBefore element must be in YYYY-MM-DD form.',
            1075 => 'Partner is not allowed to order this product.',
            1076 => 'Element quickOrder/orderParameters/customer not found or empty.',
            1077 => 'Value from quickOrder/orderParameters/customer element exceeded 255 characters.',
            1078 => 'CSR in orderParameters/CSR element is incorrect.',
            1079 => 'Value from quickOrder/orderParameters/orderId element exceeded 50 characters.',
            1080 => 'Value from quickOrder/orderParameters/productCode element exceeded 3 characters.',
            1081 => 'Value from quickOrder/requestorParameters/email element exceeded 255 characters.',
            1082 => 'Value from quickOrder/orderParameters/organizationInfo/organizationName element exceeded 255 characters.',
            1083 => 'Value from quickOrder/orderParameters/organizationInfo/taxIdentificationNumber element exceeded 20 characters.',
            1084 => 'Value from requestHeader/authToken/userName element exceeded 255 characters.',
            1085 => 'Value from SANEntries/SANEntry/DNSName element exceeded 255 characters.',
            1086 => 'Domain name in quickOrder/approvers/Approver/FQDN element exceeded 255 characters.',
            1087 => 'Adres e-mail w elemencie quickOrder/approvers/Approver/approverEmail element exceeded 255 characters.',
            1088 => 'Value from orderParameters/language element exceeded 2 characters.',
            1089 => 'Value from orderParameters/userAgent element exceeded 255 characters.',
            1090 => 'Value from requestHeader/authToken/password element exceeded 255 characters.',
            1092 => 'Attribute JoISoPN from CSR not found.',
            1093 => 'Attribute JoISoCN from CSR not found.',
            1094 => 'Attribute JoILN from CSR not found.',
            1095 => 'Attribute SerialNumber from CSR not found.',
            1096 => 'Attribute JoISoCN from CSR exceeded 2 characters.',
            1097 => 'Attribute JoISoPN from CSR exceeded 128 characters.',
            1098 => 'Attribute JoILN from CSR exceeded 128 characters.',
            1099 => 'Attribute JoISoCN from CSR contains unsupported country code.',
            1100 => 'Attribute SerialNumber from CSR exceeded 64 characters.',
            1101 => 'Attribute CommonName from CSR exceeded 255 characters.',
            1102 => 'Attribute Organization from CSR exceeded 255 characters.',
            1103 => 'Attribute OrganizationalUnit from CSR exceeded 255 characters.',
            1104 => 'Attribute Locality from CSR exceeded 128 characters.',
            1105 => 'Attribute State from CSR exceeded 128 characters.',
            1106 => 'Attribute EmailAddress from CSR exceeded 255 characters.',
            1107 => 'Number of domains in quickOrder/SANEntries element exceeded allowed value for product.',
            1108 => 'Value from quickOrder/approvers/Approver/approverEmail don’t match to the list returned by getApproverList method.',
            1109 => 'Value from orderParameters/validityPeriod/notBefore element is greater than value from orderParameters/validityPeriod/notAfter element.',
            1110 => 'Date in fromDate is incorrect.',
            1111 => 'Date in toDate is incorrect.',
            1112 => 'Domain from quickOrder/approvers/Approver/FQDN element don’t match to the list of domains returned by getApproverList method.',
            1113 => 'Certificate already issued. Verification emails hasn’t been sent.',
            1114 => 'All verification messages are still valid. Verification emails hasn’t been sent.',
            1115 => 'SANEntries/SANEntry/DNSName Element contains Widlcard domain which is not allowed for selected product.',
            1116 => 'CommonName from CSR contains Widlcard domain which is not allowed for selected product.',
            1117 => 'CommonName from CSR doesn’t contain Widlcard domain which is mandatory for selected product.',
            1118 => 'SANEntries/SANEntry/DNSName element doesn’t contain Widlcard domain which is mandatory for selected product.',
            1119 => 'Country attribute form CSR contains value not allowed for orders issued automatically.',
            1120 => 'Organization attribute form CSR contains value not allowed for orders issued automatically.',
            1121 => 'OrganizationUnit attribute form CSR contains value not allowed for orders issued automatically.',
            1122 => 'Locality attribute form CSR contains value not allowed for orders issued automatically.',
            1123 => 'State attribute form CSR contains value not allowed for orders issued automatically.',
            1124 => 'CommonName attribute form CSR contains value not allowed for orders issued automatically.',
            1125 => 'EmailAddress attribute form CSR contains value not allowed for orders issued automatically.',
            1126 => 'SerialNumber attribute from CSR Has to be UTF8String encoded.',
            1127 => 'JoILN attribute from CSR Has to be UTF8String encoded.',
            1128 => 'JoISoCN attribute from CSR Has to be PrintableString encoded.',
            1129 => 'JoISoPN attribute from CSR Has to be UTF8String encoded.',
            1130 => 'One of elements: approvers/Approver/approveMethod or approvers/Approver/approverEmail is required.',
            1131 => 'Element revokeCertificate/RevokeCertificateParameters not found.',
            1132 => 'Element revokeCertificate/RevokeCertificateParameters/serialNumber not found.',
            1133 => 'No certificate at Niven serial number.',
            1134 => 'Value in revokeCertificate/RevokeCertificateParameters/serialNumber element exceeded 64 characters.',
            1135 => 'Incorrect value in revokeCertificate/RevokeCertificateParameters/revocationReason.',
            1136 => 'To this order there is a certificate that is valid or will be valid. To cancel an order please revoke the certificate first.',
            1137 => 'Certficate to this order Has expired. Order cancel is not possible.',
            1138 => 'Request cannot be proceded. Please contact CERTUM.',
            1139 => 'It is impossible to cancel an order due to its status. Please try again later. If problem repeats please contact CERTUM.',
            1140 => 'Date in revokeCertificate/RevokeCertificateParameters/keyCompromitationDate element has to be GMT.',
            1141 => 'Date in revokeCertificate/RevokeCertificateParameters/keyCompromitationDate element Has to be between certificate valid from date and current date.',
            1142 => 'Value of revokeCertificate/RevokeCertificateParameters/note element exceeded 200 characters.',
            1143 => 'Cannot revoke the certificate because certificate is during revocation process.',
            1144 => 'Cannot revoke the certificate because it has expired.',
            1145 => 'Cannot revoke the certificate because it has already been revoked.',
            1146 => 'Element revokeCertificate/RevokeCertificateParameters/serialNumber has to be HEX.',
            1147 => 'Element approvers/Approver for SANEntries/SANEntry/DNSName element not found.',
            1148 => 'Cannot place an order with private IP address.',
            1149 => 'There is no statement in given language.',
            1150 => 'Key length in CSR is too long.',
            1151 => 'Order has already been cancelled.',
            1152 => 'Element quickOrder/approvers/Approver/approveMethod not found.',
            1153 => 'Page number Has to be from range [1 - 100].',
            1154 => 'Request returnem too many ans wers.',
            1155 => 'Page not fund.',
            1156 => 'customer filed in orderParameters contains disallowed characters.',
            1157 => 'quickOrder/SANEntries/SANEntry/DNSName element contains gTLD.',
            1158 => 'quickOrder/approvers/Approver/FQDN element contains gTLD.',
            1159 => 'Certificate not found.',
            1160 => 'Certificate serial number is missing.',
            1161 => 'Serial number exceeded 128 characters.',
            1162 => 'Required parameters are missing (serial number or order identifier).',
            1163 => 'Request contains parameters that cannot occur simultaneously (certificate serial number and order identifier).',
            1164 => 'Certificate cannot be identified properly. Provide certificate serial number OR certificate in PEM form.',
            1165 => 'Certificate format is incorrect (certificate should be in PEM form).',
            1166 => 'Provided product code cannot be use as a renewal code.',
            1167 => 'Profile of the original certificate and renewal profile mismatch.',
            1168 => 'CN mismatch.',
            1169 => 'Customer mismatch.',
            1170 => 'Certificate issued from different account.',
            1171 => 'Expected order for SSL certificate.',
            1172 => 'Request contains additional elements. Please verify request with documentation.',
            1173 => 'Provided data are equal to one provided Please use sendNotification to once again send verification emails.',
            1174 => 'No change parameters provided.',
            1175 => 'Domain name not found.',
            1176 => 'Certificate is already issued. Required chenge is not possible.',
            1177 => 'changeApprovers/Approver/FQDN element not found.',
            1178 => 'Email address in changeApprovers/Approver/approverEmail element exceeded 255 characters.',
            1179 => 'Email address in changeApprovers/Approver/approverEmail element is incorrect.',
            1180 => 'Email address in changeApprovers/Approver/approverEmail element don’t match to the list returned by getApproverList method.',
            1181 => 'Product code is incorrect for certificate issuance.',
            1182 => 'verifyDomain/code element not found.',
            1183 => 'Value in verifyDomain/code element exceeded 255 characters.',
            1184 => 'Verification code has expired.',
            1185 => 'Domain Has already been verified.',
            1186 => 'Verification code is incorrect.',
            1187 => 'Verification was unsuccessful.',
            1188 => 'validityPeriod/notBefore element not found.',
            1189 => 'validityPeriod/notAfter element not found.',
            1190 => 'Date in validityPeriod/notBefore cannot be greater than date in validityPeriod/notAfter.',
            1191 => 'Set validity period exceeds maximum validity time for chosen product.',
            1192 => 'Date in validityPeriod/notAfter element must be in YYYY-MM-DD form.',
            1193 => 'Date In validityPeriod/notBefore element must be in YYYY-MM-DD form.',
            1194 => 'orderSNICertificate/orderSNIParameters/CSR element not fund or empty.',
            1195 => 'orderSNICertificate/orderSNIParameters/CSR element doesn’t contain correct CSR.',
            1196 => 'Value from orderSNICertificate/orderSNIParameters/language element exceeded 2 characters.',
            1197 => 'orderSNICertificate/orderSNIParameters element not found.',
            1198 => 'orderSNICertificate/serialNumbers element not found.',
            1199 => 'At least one orderSNICertificate/serialNumbers/serialNumber element is required.',
            2000 => 'orderSNICertificate/serialNumbers/serialNumber cannot be empty.',
            2001 => 'Value in orderSNICertificate/serialNumbers/serialNumber element exceeded 64 characters.',
            2002 => 'orderSNICertificate/serialNumbers/serialNumber element has to be In HEX form.',
            2003 => 'Given certificate expired or was revoked.',
            2004 => 'One SNI certificate cannot contain another SNI Certificate.',
            2005 => 'None of provided certificate contain domain names.',
            2006 => 'orderSNICertificate/requestorInfo element not found.',
            2007 => 'orderSNICertificate/requestorInfo/addressLine1 element not found.',
            2008 => 'orderSNICertificate/requestorInfo/city element not found.',
            2009 => 'orderSNICertificate/requestorInfo/country element not found.',
            2010 => 'orderSNICertificate/requestorInfo/email element not found.',
            2011 => 'orderSNICertificate/requestorInfo/firstName element not found.',
            2012 => 'orderSNICertificate/requestorInfo/lastName element not found.',
            2013 => 'orderSNICertificate/requestorInfo/phone element not found.',
            2014 => 'orderSNICertificate/requestorInfo/postalCode element not found.',
            2015 => 'orderSNICertificate/requestorInfo/country zawiera nie obsługiwany kod kraju.',
            2016 => 'e-mail address from orderSNICertificate/requestorInfo/email element is incorrect.',
            2017 => 'Value from orderSNICertificate/requestorInfo/addressLine1 element exceeded 255 characters.',
            2018 => 'Value from orderSNICertificate/requestorInfo/addressLine2 element exceeded 255 characters.',
            2019 => 'Value from orderSNICertificate/requestorInfo/city element exceeded 255 characters.',
            2020 => 'Value from orderSNICertificate/requestorInfo/lastName element exceeded 255 characters.',
            2021 => 'Value from orderSNICertificate/requestorInfo/phone element exceeded 255 characters.',
            2022 => 'Value from orderSNICertificate/requestorInfo/country element exceeded 255 characters.',
            2023 => 'Value from orderSNICertificate/requestorInfo/postalCode element exceeded 255 characters.',
            2024 => 'Value from orderSNICertificate/requestorInfo/firstName element exceeded 255 characters.',
            2025 => 'To order SNI Certificate use orderSNICertificate or modifySNICertificate method.',
            2026 => 'Value from orderSNICertificate/requestorInfo/email element exceeded 255 characters.',
            2027 => 'At least one modifySNICertificate/serialNumber or modifySNICertificate/X509Cert element has to be present.',
            2028 => 'modifySNICertificate/serialNumber element cannot be empty.',
            2029 => 'Value from modifySNICertificate/serialNumber element exceeded 64 characters.',
            2030 => 'modifySNICertificate/serialNumber element has to be In HEX form.',
            2031 => 'There is no certificate with provided serial number in modifySNICertificate/serialNumber element.',
            2032 => 'Only SNI certificates can be modified.',
            2033 => 'Incorrect certificate form in modifySNICertificate/X509Cert element.',
            2034 => 'Certificate is missing in modifySNICertificate/X509Cert element.',
            2035 => 'At least one modifySNICertificate/addSerialNumbers/serialNumber attribute is required.',
            2036 => 'modifySNICertificate/addSerialNumbers/serialNumber cannot be empty',
            2037 => 'Value from modifySNICertificate/addSerialNumbers/serialNumber element exceeded 64 characters.',
            2038 => 'modifySNICertificate/addSerialNumbers/serialNumber has to be in HEX form.',
            2039 => 'At least one modifySNICertificate/removeSerialNumbers/serialNumber attribute is required.',
            2040 => 'modifySNICertificate/removeSerialNumbers/serialNumber cannot be empty.',
            2041 => 'Value from modifySNICertificate/removeSerialNumbers/serialNumber element exceeded 64 characters.',
            2042 => 'modifySNICertificate/removeSerialNumbers/serialNumber has to be in HEX form.',
            2043 => 'Cannot and and remove the same certificate at the same time.',
            2044 => 'Cannot add certificate. Certificate not found.',
            2045 => 'Cannot add SNI certificate to be part of another SNI certificate.',
            2046 => 'Cannot add certificate that already is a part of SNI certificate.',
            2047 => 'Cannot remove certificate that is NOT a part of SNI certificate.',
            2048 => 'Resultant certificate contains no domains.',
            2049 => 'verifyOrderParameters/note not found or empty.',
            2050 => 'Value from verifyOrderParameters/note element exceeded 227 characters.',
            2051 => 'Incorrect Valu In CommonName field from CSR',
            2052 => 'getExpiringCertificates/validityDaysLeft element not found or has incorrect value.',
            2053 => 'cancelParameters element not found.',
            2054 => 'changeApprovers/Approver element not found.',
            2055 => 'verifyOrder/orderID element not found.',
            2056 => 'Order status don’t allow to add notes.',
            2057 => 'Value from toDate element cannot be emalier then value from fromDate element.',
            2058 => 'Attribute Locality or StateOfProvince from CSR not found.',
            2059 => 'Incorrect value in quickOrder/approvers/verificationNotificationEnabled element.',
            2060 => 'Incorrect value in changeApprovers/verificationNotificationEnabled element.',
            2061 => 'Incorrect value in renewCertificate/approvers/verificationNotificationEnabled element.',
            2062 => 'Incorrect value in sendNotifications/verificationNotificationEnabled element.',
            2063 => 'verifyOrder/verifyOrderParameters/documents/dokument element not found.',
            2064 => 'verifyOrder/verifyOrderParameters/documents/document/type element not found.',
            2065 => 'verifyOrder/verifyOrderParameters/documents/document/description element not found.',
            2066 => 'verifyOrder/verifyOrderParameters/documents/document/files element not found.',
            2067 => 'verifyOrder/verifyOrderParameters/documents/document/files/file element not found.',
            2068 => 'verifyOrder/verifyOrderParameters/documents/document/files/file/filename element not found.',
            2069 => 'verifyOrder/verifyOrderParameters/documents/document/files/file/content element not found.',
            2070 => 'verifyOrder/verifyOrderParameters/documents/document/files/file/content element should be in base64 form.',
            2071 => 'verifyOrder/verifyOrderParameters/documents/document/id element not found.',
            2072 => 'updateDocuments/documents/document/type element should be empty.',
            2073 => 'updateDocuments/documents/document/description element should be empty.',
            2074 => 'updateDocuments/documents/document element not found.',
            2075 => 'updateDocuments/documents/document/files element not found.',
            2076 => 'updateDocuments/documents/document/files/file element not found.',
            2077 => 'updateDocuments/documents/document/files/file element not found.',
            2078 => 'updateDocuments/documents/document/files/file/content element not found.',
            2079 => 'Document with given ID does not exist.',
            2080 => 'Request size exceeded.',
            2081 => 'fileName element cannot contain following characters: \ / : * ? " < > |',
            2082 => 'Value in fileName element has incorrect length. Allowed length are from 3 to 255 characters.',
            2083 => 'Incorrect type of document.',
            2084 => 'One of file in updateDocuments/documents/document/files/file element exceeded allowed size limit (30MB).',
            2085 => 'One of file in verifyOrder/verifyOrderParameters/documents/document/files/file element exceeded allowed size limit (30MB).',
            2086 => 'updateDocuments/documents/document/id element has incorrect value.',
            2087 => 'Part of domain name in quickOrder/approvers/Approver/FQDN element exceeded 63 characters',
            2088 => 'Part of domain name in SANEntries/SANEntry/DNSName element exceeded 63 characters'
        ),
        'pl' => array(
            1000 => 'Długość klucza publicznego z CSR-a jest zbyt krótka.',
            1001 => 'Algorytm klucza publicznego z CSR-a nie jest obsługiwany.',
            1002 => 'Element orderParameters/CSR nie został odnaleziony lub jest pusty.',
            1007 => 'Element quickOrder/SANEntries nie został odnaleziony.',
            1008 => 'Element quickOrder/SANEntries/SANEntry/DNSName zawiera błędną nazwę domeny.',
            1009 => 'Element quickOrder/requestorInfo nie został odnaleziony.',
            1010 => 'Element quickOrder/orderParameters nie został odnaleziony.',
            1011 => 'Element quickOrder/orderParameters/orderId nie został odnaleziony.',
            1012 => 'Numer zamówienia jest już zajęty.',
            1013 => 'Niepoprawny numer zamówienia.',
            1014 => 'Element quickOrder/orderParameters/productCode nie został odnaleziony.',
            1015 => 'Atrybut CommonName z CSR-a nie został znaleziony.',
            1016 => 'Atrybut Organization z CSR-a nie został znaleziony.',
            1017 => 'Atrybut OrganizationUnit z CSR-a nie został znaleziony.',
            1018 => 'Atrybut Locality z CSR-a nie został znaleziony.',
            1019 => 'Atrybut State z CSR-a nie został znaleziony.',
            1020 => 'Atrybut Country z CSR-a nie został znaleziony.',
            1021 => 'Atrybut EmailAddress z CSR-a nie został znaleziony.',
            1022 => 'Atrybut EmailAddress z CSR-a zawiera błędy.',
            1023 => 'Wartość element orderParameters/customer nie może być taka sam jak wartość z elementu requestHeader/authToken/userName.',
            1024 => 'Atrybut CommonName z CSR musi być zakodowany jako UTF8String.',
            1025 => 'Atrybut EmailAddress z CSR musi być zakodowany jako IA5String.',
            1026 => 'Atrybut Country z CSR musi być zakodowany jako PrintableString.',
            1027 => 'Atrybut State z CSR musi być zakodowany jako UTF8String.',
            1028 => 'Atrybut Locality z CSR musi być zakodowany jako UTF8String.',
            1029 => 'Atrybut OrganizationUnit z CSR musi być zakodowany jako UTF8String.',
            1030 => 'Atrybut Organization z CSR musi być zakodowany jako UTF8String.',
            1031 => 'Atrybut CommonName z CSR musi być zakodowany jako PrintableString.',
            1032 => 'Klucz publiczny z CSR-a został już wykorzystany.',
            1033 => 'Zamówienie o podanym numerze nie istnieje.',
            1034 => 'Element quickOrder/approvers nie został odnaleziony.',
            1035 => 'Element quickOrder/approvers/Approver/FQDN nie został odnaleziony.',
            1036 => 'Domena w elemencie quickOrder/approvers/Approver/FQDN zawiera błędy.',
            1037 => 'Adres e-mail w elemencie quickOrder/approvers/Approver/approverEmail zawiera błędy.',
            1038 => 'Element quickOrder/approvers/Approver/approverEmail nie został odnaleziony.',
            1039 => 'Zbyt wiele elementów quickOrder/approvers/Approver/approverEmail.',
            1040 => 'Element quickOrder/approvers/Approver/approveMethod nie został odnaleziony.',
            1041 => 'Zbyt wiele elementów quickOrder/approvers/Approver/approveMethod.',
            1042 => 'Metoda weryfikacji domeny nie jest obsługiwana.',
            1043 => 'Numer zamówienia zawiera niedozwolone znaki.',
            1044 => 'Data wydania certyfikatu jest z przeszłości.',
            1045 => 'Domena podana w CommonName, w CSR nie występuje na liście domen w elemencie quickOrder/SANEntries.',
            1046 => 'Tylko jedna domena w elemencie quickOrder/SANEntries może zawierać gwiazdkę w nazwie domeny.',
            1047 => 'Brakuje elementu quickOrder/organizationInfo/organizationName lub element ma API User Guide v3.0 niepoprawną wartość.',
            1048 => 'Brakuje elementu quickOrder/organizationInfo/taxIdentificationNumber lub element ma niepoprawną wartość.',
            1049 => 'Nie można odczytać klucza publicznego z CSR-a.',
            1050 => 'Element quickOrder/requestorInfo/addressLine1 nie został odnaleziony.',
            1051 => 'Element quickOrder/requestorInfo/city nie został odnaleziony.',
            1052 => 'Element quickOrder/requestorInfo/country nie został odnaleziony.',
            1053 => 'Element quickOrder/requestorInfo/email nie został odnaleziony.',
            1054 => 'Element quickOrder/requestorInfo/firstName nie został odnaleziony.',
            1055 => 'Element quickOrder/requestorInfo/lastName nie został odnaleziony.',
            1056 => 'Element quickOrder/requestorInfo/phone nie został odnaleziony.',
            1057 => 'Element quickOrder/requestorInfo/postalCode nie został odnaleziony.',
            1058 => 'Element quickOrder/requestorInfo/country zawiera nie obsługiwany kod kraju.',
            1059 => 'Atrybut Country z CSR-a nie został znaleziony.',
            1060 => 'Adres e-mail z elementu quickOrder/requestorInfo/email nie jest poprawny.',
            1061 => 'Wartość z elementu quickOrder/requestorInfo/addressLine1 przekroczyła dopuszczalny rozmiar 255 znaków.',
            1062 => 'Wartość z elementu quickOrder/requestorInfo/addressLine2 przekroczyła dopuszczalny rozmiar 255 znaków.',
            1063 => 'Klucz publiczny z CSR-a znajduje się na czarnej liście.',
            1064 => 'Wartość z elementu quickOrder/requestorInfo/city przekroczyła dopuszczalny rozmiar 255 znaków.',
            1065 => 'Wartość z elementu quickOrder/requestorInfo/lastName przekroczyła dopuszczalny rozmiar 255 znaków.',
            1066 => 'Wartość z elementu quickOrder/requestorInfo/phone przekroczyła dopuszczalny rozmiar 255 znaków.',
            1067 => 'Wartość z elementu quickOrder/requestorInfo/country przekroczyła dopuszczalny rozmiar 255 znaków.',
            1068 => 'Wartość z elementu quickOrder/requestorInfo/postalCode przekroczyła dopuszczalny rozmiar 255 znaków.',
            1069 => 'Data ważności certyfikatu podana w elemencie orderParameters/validityPeriod przekracza dopuszczalny czasz ważności certyfikatu dla żądanego produktu.',
            1070 => 'Brakuje elementu orderParameters/validityPeriod/notBefore.',
            1071 => 'Brakuje elementu orderParameters/validityPeriod/notAfter.',
            1072 => 'Wartość z elementu quickOrder/requestorInfo/firstName przekroczyła dopuszczalny rozmiar 255 znaków.',
            1073 => 'Data w elemencie organizationInfo/validityPeriod/notAfter musi być podana w formacie YYYY-MM-DD.',
            1074 => 'Data w elemencie organizationInfo/validityPeriod/notBefore musi podana w formacie YYYY-MM-DD.',
            1075 => 'Partner nie ma uprawnień, aby złożyć zamówienia na dany produkt.',
            1076 => 'Brakuje element quickOrder/orderParameters/customer lub jest on pusty.',
            1077 => 'Wartość z elementu z quickOrder/orderParameters/customer przekroczyła dopuszczalny rozmiar 64 znaki.',
            1078 => 'Element orderParameters/CSR nie jest poprawnym żądaniem CSR.',
            1079 => 'Wartość z elementu quickOrder/orderParameters/orderId przekroczyła dopuszczalny rozmiar 50 znaków.',
            1080 => 'Wartość z elementu quickOrder/orderParameters/productCode przekroczyła dopuszczalny rozmiar 3 znaków.',
            1081 => 'Wartość z elementu quickOrder/requestorParameters/email przekroczyła dopuszczalny rozmiar 255 znaków.',
            1082 => 'Wartość z elementu quickOrder/orderParameters/organizationInfo/organizationName przekroczyła dopuszczalny rozmiar 255 znaków.',
            1083 => 'Wartość z elementu quickOrder/orderParameters/organizationInfo/taxIdentificationNumber przekroczyła dopuszczalny rozmiar 20 znaków.',
            1084 => 'Wartość z elementu requestHeader/authToken/userName przekroczyła dopuszczalny rozmiar 255 znaków.',
            1085 => 'Wartość z elementu SANEntries/SANEntry/DNSName przekroczyła dopuszczalny rozmiar 1255 znaków.',
            1086 => 'Nazwa domeny w elemencie quickOrder/approvers/Approver/FQDN przekroczyła dopuszczalny rozmiar 255 znaków.',
            1087 => 'Adres e-mail w elemencie quickOrder/approvers/Approver/approverEmail przekroczył dopuszczalny rozmiar 255 znaków.',
            1088 => 'Wartość z elementu orderParameters/language przekroczyła dopuszczalny rozmiar 2 znaków.',
            1089 => 'Wartość z elementu orderParameters/userAgent przekroczyła dopuszczalny rozmiar 255 znaków.',
            1090 => 'Wartość z elementu requestHeader/authToken/password przekroczyła dopuszczalny rozmiar 255 znaków.',
            1092 => 'Atrybut JoISoPN z CSR-a nie został znaleziony.',
            1093 => 'Atrybut JoISoCN z CSR-a nie został znaleziony.',
            1094 => 'Atrybut JoILN z CSR-a nie został znaleziony.',
            1095 => 'Atrybut SerialNumber z CSR-a nie został znaleziony.',
            1096 => 'Wartość atrybutu JoISoCN z CSR-a przekroczyła dopuszczalny rozmiar 2 znaków.',
            1097 => 'Wartość atrybutu JoISoPN z CSR-a przekroczyła dopuszczalny rozmiar 128 znaków.',
            1098 => 'Wartość atrybutu JoILN z CSR-a przekroczyła dopuszczalny rozmiar 128 znaków.',
            1099 => 'Wartość atrybutu JoISoCN z CSR-a zawiera nie obsługiwany kod kraju.',
            1100 => 'Wartość atrybutu SerialNumber z CSR-a przekroczyła dopuszczalny rozmiar 64 znaków.',
            1101 => 'Wartość atrybutu CommonName z CSR-a przekroczyła dopuszczalny rozmiar 255 znaków.',
            1102 => 'Wartość atrybutu Organization z CSR-a przekroczyła dopuszczalny rozmiar 255 znaków.',
            1103 => 'Wartość atrybutu OrganizationalUnit z CSR-a przekroczyła dopuszczalny rozmiar 255 znaków.',
            1104 => 'Wartość atrybutu Locality z CSR-a przekroczyła dopuszczalny rozmiar 128 znaków.',
            1105 => 'Wartość atrybutu State z CSR-a przekroczyła dopuszczalny rozmiar 128 znaków.',
            1106 => 'Wartość atrybutu EmailAddress z CSR-a przekroczyła dopuszczalny rozmiar 255 znaków.',
            1107 => 'Ilość domen podanych w elemencie quickOrder/SANEntries przekroczyła dopuszczalną ilość domen dla wniosku.',
            1108 => 'Adres e-mail z elementu quickOrder/approvers/Approver/approverEmail nie pasuje do listy adresów zwróconych przez metodę getApproverList.',
            1109 => 'Data podana w elemencie orderParameters/validityPeriod/notBefore jest większa niż data z elementu orderParameters/validityPeriod/notAfter.',
            1110 => 'Data podana w elemencie fromDate jest błędna.',
            1111 => 'Data podana w elemencie toDate jest błędna.',
            1112 => 'Domena z elementu quickOrder/approvers/Approver/FQDN nie pasuje do listy domen zwróconych przez metodę getApproverList.',
            1113 => 'Dla podanego zamówienia certyfikat został już wydany. Maile weryfikacyjne nie zostały wysłane.',
            1114 => 'Dla podanego zamówienia wszystkie weryfikacje są jeszcze aktualne. Maile weryfikacyjne nie zostały wysłane.',
            1115 => 'Element SANEntries/SANEntry/DNSName zawiera domenę typu Wildcard, która nie jest dozwolona dla wybranego produktu.',
            1116 => 'CommonName z CSR zawiera domenę typu Wildcard, która nie jest dozwolona dla wybranego produktu.',
            1117 => 'CommonName z CSR nie zawiera domeny typu Wildcard, która jest wymagana dla tego produktu.',
            1118 => 'Element SANEntries/SANEntry/DNSName nie zawiera domeny typu Wildcard, która jest wymagana dla tego produktu.',
            1119 => 'Wartość atrybutu Country z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1120 => 'Wartość atrybutu Organization z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1121 => 'Wartość atrybutu OrganizationUnit z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1122 => 'Wartość atrybutu Locality z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1123 => 'Wartość atrybutu State z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1124 => 'Wartość atrybutu CommonName z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1125 => 'Wartość atrybutu EmailAddress z CSR jest niezgodna z dopuszczalnymi wartościami dla wniosków wystawianych automatycznie.',
            1126 => 'Atrybut SerialNumber z CSR musi być zakodowany jako UTF8String.',
            1127 => 'Atrybut JoILN z CSR musi być zakodowany jako UTF8String.',
            1128 => 'Atrybut JoISoCN z CSR musi być zakodowany jako PrintableString.',
            1129 => 'Atrybut JoISoPN z CSR musi być zakodowany jako UTF8String.',
            1130 => 'Podanie jednego z elementów: approvers/Approver/approveMethod lub approvers/Approver/approverEmail jest wymagane.',
            1131 => 'Element revokeCertificate/RevokeCertificateParameters nie został odnaleziony.',
            1132 => 'Element revokeCertificate/RevokeCertificateParameters/serialNumber nie został odnaleziony.',
            1133 => 'Brak certyfikatu o podanym numerze seryjnym.',
            1134 => 'Wartość elementu revokeCertificate/RevokeCertificateParameters/serialNumber przekroczyła dopuszczalny rozmiar 64 znaków.',
            1135 => 'Nieprawidłowa wartość elementu revokeCertificate/RevokeCertificateParameters/revocationReason',
            1136 => 'Do zamówienia został wydany certyfikat który ma status "ważny" lub dopiero uzyska status "ważny". Aby anulować zamówienie proszę unieważnić certyfikat.',
            1137 => 'Certyfikat do podanego numeru zamówienia już wygasł. Anulowanie wniosku nie jest możliwe.',
            1138 => 'Operacja nie może być wykonana. Skontaktuj się z CERTUM.',
            1139 => 'Status wniosku nie pozwala na jego odrzucenie. Jeśli błąd będzie się powtarzał skontaktuj się z CERTUM.',
            1140 => 'Data podana w elemencie revokeCertificate/RevokeCertificateParameters/keyCompromitationDate musi być w formacie YYYY-MM-DD.',
            1141 => 'Data podana w elemencie revokeCertificate/RevokeCertificateParameters/keyCompromitationDate zawierać się w przedziale pomiędzy datą uzyskania ważności certyfikatu, a dzisiejszą datą.',
            1142 => 'Wartość elementu revokeCertificate/RevokeCertificateParameters/note przekroczyła dopuszczalny rozmiar 200 znaków.',
            1143 => 'Nie można unieważnić certyfikatu, ponieważ certyfikat jest w trakcie unieważniania.',
            1144 => 'Nie można unieważnić certyfikatu, ponieważ certyfikat wygasł.',
            1145 => 'Nie można unieważnić certyfikatu, ponieważ certyfikat został już unieważniony.',
            1146 => 'Element revokeCertificate/RevokeCertificateParameters/serialNumber musi być w postaci szesnastkowej.',
            1147 => 'Brak jednego lub więcej elementów approvers/Approver odpowiadających domenie z SANEntries/SANEntry/DNSName.',
            1148 => 'Nie można złożyć wniosku na lokalny adres IP.',
            1149 => 'Brak oświadczenia dla podanego języka.',
            1150 => 'Długość klucza publicznego z CSR-a jest zbyt długa.',
            1151 => 'Zamówienie zostało już anulowane.',
            1152 => 'Element quickOrder/approvers/Approver/approveMethod nie został odnaleziony.',
            1153 => 'Numer strony musi być z zakresu [1 - 100].',
            1154 => 'Zapytanie przez API zwróciło zbyt dużą ilość odpowiedzi.',
            1155 => 'Strona z wynikami o podanym numerze nie istnieje.',
            1156 => 'Pole customer w orderParameters posiada niedozwolone znaki.',
            1157 => 'Element quickOrder/SANEntries/SANEntry/DNSName zawiera publiczną domenę najwyższego poziomu.',
            1158 => 'Nazwa domeny w elemencie quickOrder/approvers/Approver/FQDN jest publiczną domeną najwyższego poziomu.',
            1159 => 'Certyfikat nie został odnaleziony.',
            1160 => 'Nie podano numeru seryjnego certyfikatu.',
            1161 => 'Numer seryjny certyfikatu jest za długi (przekroczono dopuszczalny rozmiar 64 znaków).',
            1162 => 'Wymagane parametry nie zostały podane w żądaniu (numer seryjny certyfikatu lub numer zamówienia).',
            1163 => 'W żądaniu podano parametry które nie mogą występować jednocześnie (numer seryjny certyfikatu i numer zamówienia).',
            1164 => 'Niepoprawna liczba parametrów identyfikujących certyfikat. Podany powinien być numer seryjny certyfikatu lub certyfikat w postaci PEM.',
            1165 => 'Niepoprawny format PEM.',
            1166 => 'Podany kod produktu nie jest kodem na odnowienie.',
            1167 => 'Profil certyfikatu do odnowienia różni się od profilu certyfikatu odnawianego.',
            1168 => 'CN certyfikatu różni się od CN certyfikatu odnawianego.',
            1169 => 'Nazwa użytkownika w odnawianym certyfikacie jest inna niż podana.',
            1170 => 'Odnawiany certyfikat został wystawiony przez innego partnera.',
            1171 => 'Oczekiwano zamówienia na certyfikat SSL.',
            1172 => 'Żądanie zawiera nadmiarowe elementy. Należy zweryfikować poprawność żądania z dokumentacją.',
            1173 => 'Wprowadzone dane są identyczne z już podanymi. W celu ponownej wysyłki maili weryfikacyjnych prosimy skorzystać z metody sendNotifications.',
            1174 => 'Nie podano żadnego parametru do zmiany.',
            1175 => 'Nie znaleziono podanej domeny.',
            1176 => 'Dla podanego zamówienia certyfikat został już wydany. Wprowadzenie zmian nie jest możliwe.',
            1177 => 'Element changeApprovers/Approver/FQDN nie został odnaleziony.',
            1178 => 'Adres e-mail w elemencie changeApprovers/Approver/approverEmail przekroczył dopuszczalny rozmiar 255 znaków.',
            1179 => 'Adres e-mail w elemencie changeApprovers/Approver/approverEmail zawiera błędy.',
            1180 => 'Adres email z element changeApprovers/Approver/approverEmail nie pasuje do listy adresów zwróconych przez metodę getApproverList.',
            1181 => 'Podany kod produktu, nie jest kodem na wydanie certyfikatu.',
            1182 => 'Element verifyDomain/code nie został znaleziony.',
            1183 => 'Wartość z elementu verifyDomain/code przekroczyła dopuszczalny rozmiar 255 znaków.',
            1184 => 'Kod weryfikacji domeny już wygasł.',
            1185 => 'Domena była już weryfikowana.',
            1186 => 'Kod weryfikacyjny jest niepoprawny.',
            1187 => 'Dostęp do domeny zweryfikowany negatywnie.',
            1188 => 'Element validityPeriod/notBefore nie został odnaleziony.',
            1189 => 'Element validityPeriod/notAfter nie został odnaleziony.',
            1190 => 'Data podana w elemencie validityPeriod/notBefore jest większa niż data z elementu validityPeriod/notAfter.',
            1191 => 'Data ważności certyfikatu podana w elemencie validityPeriod przekracza dopuszczalnyczasz ważności certyfikatu dla żądanego produktu.',
            1192 => 'Data w elemencie validityPeriod/notAfter musi być podana w formacie YYYY-MM-DD.',
            1193 => 'Data w elemencie validityPeriod/notBefore musi być podana w formacie YYYY-MM-DD.',
            1194 => 'Element orderSNICertificate/orderSNIParameters/CSR nie został odnaleziony lub jest pusty.',
            1195 => 'Element orderSNICertificate/orderSNIParameters/CSR nie jest poprawnym żądaniem CSR.',
            1196 => 'Wartość z elementu orderSNICertificate/orderSNIParameters/language przekroczyła dopuszczalny rozmiar 2 znaków.',
            1197 => 'Element orderSNICertificate/orderSNIParameters nie został odnaleziony.',
            1198 => 'Element orderSNICertificate/serialNumbers nie został odnaleziony.',
            1199 => 'Podanie przynajmniej jednego z atrybutów orderSNICertificate/serialNumbers/serialNumber jest wymagane.',
            2000 => 'Element orderSNICertificate/serialNumbers/serialNumber nie może być pusty.',
            2001 => 'Wartosc elementu orderSNICertificate/serialNumbers/serialNumber przekroczyła dopuszczalny rozmiar 64 znaków.',
            2002 => 'Element orderSNICertificate/serialNumbers/serialNumber musi byc w postaci szesnastkowej.',
            2003 => 'Certyfikat o podanym numerze seryjnym wygasł lub został unieważniony.',
            2004 => 'Certyfikat SNI nie może zawierać innego cerrtyfikatu SNI.',
            2005 => 'Żaden z podanych certyfikatów nie zawiera domen.',
            2006 => 'Element orderSNICertificate/requestorInfo nie został odnaleziony.',
            2007 => 'Element orderSNICertificate/requestorInfo/addressLine1 nie został odnaleziony.',
            2008 => 'Element orderSNICertificate/requestorInfo/city nie został odnaleziony.',
            2009 => 'Element orderSNICertificate/requestorInfo/country nie został odnaleziony.',
            2010 => 'Element orderSNICertificate/requestorInfo/email nie został odnaleziony.',
            2011 => 'Element orderSNICertificate/requestorInfo/firstName nie został odnaleziony.',
            2012 => 'Element orderSNICertificate/requestorInfo/lastName nie został odnaleziony.',
            2013 => 'Element orderSNICertificate/requestorInfo/phone nie został odnaleziony.',
            2014 => 'Element orderSNICertificate/requestorInfo/postalCode nie został odnaleziony.',
            2015 => 'Element orderSNICertificate/requestorInfo/country zawiera nie obsługiwany kod kraju.',
            2016 => 'Adres e-mail z elementu orderSNICertificate/requestorInfo/email nie jest poprawny.',
            2017 => 'Wartość z elementu orderSNICertificate/requestorInfo/addressLine1 przekroczyła dopuszczalny rozmiar 255 znaków.',
            2018 => 'Wartość z elementu orderSNICertificate/requestorInfo/addressLine2 przekroczyła dopuszczalny rozmiar 255 znaków.',
            2019 => 'Wartość z elementu orderSNICertificate/requestorInfo/city przekroczyła dopuszczalny rozmiar 255 znaków.',
            2020 => 'Wartość z elementu orderSNICertificate/requestorInfo/lastName przekroczyła dopuszczalny rozmiar 255 znaków.',
            2021 => 'Wartość z elementu orderSNICertificate/requestorInfo/phone przekroczyła dopuszczalny rozmiar 255 znaków.',
            2022 => 'Wartość z elementu orderSNICertificate/requestorInfo/country przekroczyła dopuszczalny rozmiar 255 znaków.',
            2023 => 'Wartość z elementu orderSNICertificate/requestorInfo/postalCode przekroczyła dopuszczalny rozmiar 255 znaków.',
            2024 => 'Wartość z elementu orderSNICertificate/requestorInfo/firstName przekroczyła dopuszczalny rozmiar 255 znaków.',
            2025 => 'W celu złożenia zamówienia na produkt SNI Certificate należy użyć metody orderSNICertificate, modifySNICertificate',
            2026 => 'Wartość z elementu orderSNICertificate/requestorInfo/email przekroczyła dopuszczalny rozmiar 255 znaków.',
            2027 => 'Niepoprawna liczba parametrów identyfikujących certyfikat. Podany powinien być modifySNICertificate/serialNumber lub modifySNICertificate/X509Cert',
            2028 => 'Element modifySNICertificate/serialNumber nie może być pusty.',
            2029 => 'Wartosc elementu modifySNICertificate/serialNumber przekroczyla dopuszczalny rozmiar 64 znakow.',
            2030 => 'Element modifySNICertificate/serialNumber musi byc w postaci szesnastkowej.',
            2031 => 'Brak certyfikatu o numerze seryjnym podanym w elemencie modifySNICertificate/serialNumber.',
            2032 => 'Modyfikowany certyfikat musi być certyfikatem SNI.',
            2033 => 'Niepoprawny format PEM certyfikatu w elemencie modifySNICertificate/X509Cert.',
            2034 => 'Brak certyfikatu podanego w elemencie modifySNICertificate/X509Cert.',
            2035 => 'Podanie przynajmniej jednego z atrybutów modifySNICertificate/addSerialNumbers/serialNumber jest wymagane.',
            2036 => 'Element modifySNICertificate/addSerialNumbers/serialNumber nie może być pusty.',
            2037 => 'Wartosc elementu modifySNICertificate/addSerialNumbers/serialNumber przekroczyla dopuszczalny rozmiar 64 znakow.',
            2038 => 'Element modifySNICertificate/addSerialNumbers/serialNumber musi byc w postaci szesnastkowej.',
            2039 => 'Podanie przynajmniej jednego z atrybutów modifySNICertificate/removeSerialNumbers/serialNumber jest wymagane.',
            2040 => 'Element modifySNICertificate/removeSerialNumbers/serialNumber nie może być pusty.',
            2041 => 'Wartosc elementu modifySNICertificate/removeSerialNumbers/serialNumber przekroczyla dopuszczalny rozmiar 64 znakow.',
            2042 => 'Element modifySNICertificate/removeSerialNumbers/serialNumber musi byc w postaci szesnastkowej.',
            2043 => 'Nie można dodawać i usuwać tego samego certyfikatu.',
            2044 => 'Nie można dodać certyfikatu. Certyfikat nie został znaleziony.',
            2045 => 'Nie można dodać certyfikatu będącego certyfikatem SNI.',
            2046 => 'Nie można dodać certyfikatu, który już wchodzi w skład certyfikatu SNI.',
            2047 => 'Nie można usunąć certyfikatu, który nie wchodzi w skład certyfikatu SNI.',
            2048 => 'Wynikowy certyfikat nie zawiera domen.',
            2049 => 'Element verifyOrderParameters/note nie został znaleziony lub jest pusty.',
            2050 => 'Wartość elementu verifyOrderParameters/note przekroczyła dopuszczalny rozmiar 227 znaków.',
            2051 => 'Niepoprawna wartość w polu CommonName z CSR',
            2052 => 'Element getExpiringCertificates/validityDaysLeft nie został znaleziony lub ma niepoprawną wartość',
            2053 => 'Element cancelParameters nie został odnaleziony.',
            2054 => 'Element changeApprovers/Approver nie został odnaleziony.',
            2055 => 'Element verifyOrder/orderID nie został odnaleziony.',
            2056 => 'Status zamówienia nie pozwala na dodanie notatki.',
            2057 => 'Wartość elementu toDate nie może być wcześniejsza od wartości elementu fromDate.',
            2058 => 'Atrybut Locality lub StateOfProvince z CSR-a nie został znaleziony.',
            2059 => 'Niepoprawna wartość w elemencie quickOrder/approvers/verificationNotificationEnabled',
            2060 => 'Niepoprawna wartość w elemencie changeApprovers/verificationNotificationEnabled',
            2061 => 'Niepoprawna wartość w elemencie renewCertificate/approvers/verificationNotificationEnabled',
            2062 => 'Niepoprawna wartość w elemencie sendNotifications/verificationNotificationEnabled',
            2063 => 'Element verifyOrder/verifyOrderParameters/documents/document nie został odnaleziony.',
            2064 => 'Element verifyOrder/verifyOrderParameters/documents/document/type nie został odnaleziony.',
            2065 => 'Element verifyOrder/verifyOrderParameters/documents/document/description nie został odnaleziony.',
            2066 => 'Element verifyOrder/verifyOrderParameters/documents/document/files nie został odnaleziony.',
            2067 => 'Element verifyOrder/verifyOrderParameters/documents/document/files/file nie został odnaleziony.',
            2068 => 'Element verifyOrder/verifyOrderParameters/documents/document/files/file/filename nie został odnaleziony.',
            2069 => 'Element verifyOrder/verifyOrderParameters/documents/document/files/file/content nie został odnaleziony.',
            2070 => 'Element verifyOrder/verifyOrderParameters/documents/document/files/file/content powinien być w base64.',
            2071 => 'Element verifyOrder/verifyOrderParameters/documents/document/id nie został odnaleziony.',
            2072 => 'Element updateDocuments/documents/document/type powinien być pusty.',
            2073 => 'Element updateDocuments/documents/document/description powinien być pusty.',
            2074 => 'Element updateDocuments/documents/document nie został odnaleziony.',
            2075 => 'Element updateDocuments/documents/document/files nie został odnaleziony.',
            2076 => 'Element updateDocuments/documents/document/files/file nie został odnaleziony.',
            2077 => 'Element updateDocuments/documents/document/files/file nie został odnaleziony.',
            2078 => 'Element updateDocuments/documents/document/files/file/content nie został odnaleziony.',
            2079 => 'Dokument o podanym identyfikatorze nie istnieje.',
            2080 => 'Przekroczono dopuszczalny rozmiar dla żądania.',
            2081 => 'Element fileName nie może zawierać znaków: \ / : * ? " < > |',
            2082 => 'Wartość elementu fileName ma nieprawidłową długość. Dopuszczalna długość: od 3 do 255 znaków.',
            2083 => 'Typ dokumentu nie jest obsługiwany.',
            2084 => 'Jeden z plików w elemencie updateDocuments/documents/document/files/file przekroczył dopuszczalny rozmiar (30MB).',
            2085 => 'Jeden z plików w elemencie verifyOrder/verifyOrderParameters/documents/document/files/file przekroczył dopuszczalny rozmiar (30MB).',
            2086 => 'Element updateDocuments/documents/document/id zawiera nieprawidłową wartość',
            2087 => 'Długość części domeny w elemencie quickOrder/approvers/Approver/FQDN przekroczyła dopuszczalny rozmiar 63 znaków.',
            2088 => 'Długość części domeny z elementu SANEntries/SANEntry/DNSName przekroczyła dopuszczalny rozmiar 63 znaków.'
        )
    );
    
    /**
     * Returns an array with descriptions of errors that have occured.
     * 
     * The returned array is an array of arrays containing the following keys:
     * code, number, text, where code is a success code, number is a error
     * number and text is a description of an error.
     * 
     * @param string $lang
     * @param int $status
     * @param array $errors
     * @return array
     */
    public function getText($lang, $status, $errors) {
        $texts = array();
        if (empty($errors)) {
            $t = isset($this->texts_status[$lang][$status]) ? 
                    $this->texts_status[$lang][$status] : '';
            $texts[] = array(
                'code' => $status,
                'number' => NULL,
                'text' => $t
            );
        } else {
            foreach ($errors as $e) {
                $t = isset($this->texts_error[$lang][$e->errorCode]) ? 
                        $this->texts_error[$lang][$e->errorCode] : '';
                $v = empty($e->value) ? '' : ' ['.$e->value.']';
                $texts[] = array(
                    'code' => $status,
                    'number' => $e->errorCode,
                    'text' => $t.$v
                );
            }
        }
        return $texts;
    }
}
