<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once dirname(__FILE__).'/message.php';
require_once ROOTDIR.'/modules/servers/CertumTokenSSL/certumPartnerAPI/types/typeQuickOrderRequest.php';

/*
    <message name="PartnerServicePortType_quickOrder">
        <part element="tns:quickOrder" name="quickOrder"/>
    </message>
    <xs:element name="quickOrder" nillable="true" type="tns:quickOrderRequest"/>
*/

/**
 * This class represents the PartnerServicePortType_quickOrder WSDL message.
 * 
 * It has one part 'quickOrder' accessible as property or by invoking a getter method.
 * 
 * @method PartnerAPIMessageQuickOrder setCredentials(string $userName, string $password) Overriden method. Read documentation for PartnerAPIMessage class
 * @property PartnerAPITypeQuickOrderRequest $quickOrder
 * @method PartnerAPITypeQuickOrderRequest getQuickOrder()
 * 
 * @package messages
 * @since 1.3.0
 */
class PartnerAPIMessageQuickOrder extends PartnerAPIMessage {
    
    /**
     * Defines the part with credentials data.
     * 
     * @var string
     */
    protected $partWithCredentials = 'quickOrder';

    /**
     * This method returns initial data for the message's parts.
     * 
     * @return array
     */
    protected function initParts() {
        return array(
            'quickOrder' => new PartnerAPITypeQuickOrderRequest()
        );
    }

}
