<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'operation.php';
require_once ROOTDIR.'/modules/servers/CertumTokenSSL/certumPartnerAPI/messages/messageGetActivationCode.php';
require_once ROOTDIR.'/modules/servers/CertumTokenSSL/certumPartnerAPI/messages/messageGetActivationCodeResponse.php';

/*
<operation name="verifyDomain" parameterOrder="verifyDomain">
	<input message="tns:PartnerServicePortType_verifyDomain"/>
	<output message="tns:PartnerServicePortType_verifyDomainResponse"/>
</operation>
*/

/**
 * This class represents the operation verifyDomain.
 * 
 * It is based on the PartnerAPIOperation class and derives some properties and methods from that class.
 * 
 * @method PartnerAPIMessageVerifyDomainResponse getResponseMessage() A complete response from a service
 * 
 * @package operations
 * @since 1.3.0
 */
class PartnerAPIOperationGetActivationCode extends PartnerAPIOperation {

    /**
     * @var PartnerAPIMessageVerifyDomain
     */
    protected $_input = NULL;
    
    /**
     * @var PartnerAPIMessageVerifyDomainResponse
     */
    protected $_output = NULL;

    /**
     * @var string
     */
    protected $_operation = 'getActivationCode';
    
    /**
     * The constructor.
     * 
     * It initializes input and output data.
     */
    public function __construct() {
        $this->_input  = new PartnerAPIMessageGetActivationCode();
        $this->_output = new PartnerAPIMessageGetActivationCodeResponse();
    }

    /**
     * Sets a verification code for the request.
     *
     * Setting this value is required.
     *
     * @param string $code
     * @return PartnerAPIOperationVerifyDomain
     */
    public function setProductCode($code) {
    	$this->_input->getActivationCode->setProductCode($code);
    	return $this;
    }
    
    /**
     * Returns the expire date of an verification code from a response.
     *
     * @return string|null
     */
    public function getToken() {

    	return $this->_output->getActivationCodeResponse->activationCode->code;
    }
    
}
