<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';

/*
    <xs:complexType name="approver">
        <xs:sequence>
            <xs:element name="FQDN" type="xs:string"/>
            <xs:element maxOccurs="unbounded" minOccurs="0" name="approverEmail" type="xs:string"/>
            <xs:element maxOccurs="unbounded" minOccurs="0" name="approveMethod" type="tns:verificationMethodType"/>
        </xs:sequence>
        <xs:attribute default="false" name="mainDomain" type="xs:boolean"/>
    </xs:complexType>
*/

/**
 * This class represents the "approver" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeApprover setFQDN(string $value The FQDN to be set) Sets the "FQDN" element
 * @method string getFQDN() Gets the "FQDN" element
 * @property string $FQDN Gets the "FQDN" element
 * 
 * @method PartnerAPITypeApprover setApproverEmail(string $value The approverEmail to be set or NULL) Sets the "approverEmail" element. This method removes all previously added "approverEmail" elements and creates a new set of "approverEmail" elements.
 * @method PartnerAPITypeApprover addApproverEmail(string $value The approverEmail to be added) Adds a new "approverEmail" element to the existing set.
 * @method string|string[] getApproverEmail() Gets the "approverEmail" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * @property string|string[] $approverEmail Gets the "approverEmail" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * 
 * @method PartnerAPITypeApprover setApproveMethod(string $value The approveMethod to be set or NULL) Sets the "approveMethod" element. This method removes all previously added "approveMethod" elements and creates a new set of "approveMethod" elements.
 * @method PartnerAPITypeApprover addApproveMethod(string $value The approveMethod to be added) Adds a new "approveMethod" element to the existing set.
 * @method string|string[] getApproveMethod() Gets the "approveMethod" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * @property string|string[] $approveMethod Gets the "approveMethod" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 *
 * @method PartnerAPITypeApprover setMainDomain(string $value The mainDomain to be set) Sets the "mainDomain" attribute
 * @method string getMainDomain() Gets the "mainDomain" attribute
 * @property string $mainDomain Gets the "mainDomain" attribute
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeActivationCode extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'code'           => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
    }

}
