<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';
require_once 'typeApprover.php';

/*
<xs:complexType name="approvers">
	<xs:sequence>
		<xs:element maxOccurs="unbounded" name="Approver" type="tns:approver"/>
		<xs:element minOccurs="0" name="verificationNotificationEnabled" type="xs:boolean"/>
	</xs:sequence>
</xs:complexType>
*/

/**
 * This class represents the "approvers" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeApprovers setApprover(PartnerAPITypeApprover $value The Approver to be set) Sets the "Approver" element. This method removes all previously added "Approver" elements and creates a new set of "Approver" elements.
 * @method PartnerAPITypeApprovers addApprover(PartnerAPITypeApprover $value The Approver to be added) Adds a new "Approver" element to the existing set.
 * @method PartnerAPITypeApprover|array getApprover() Gets the "Approver" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeApprover objects will be returned.
 * @property PartnerAPITypeApprover|array $Approver Gets the "Approver" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeApprover objects will be returned.
 * 
 * @method PartnerAPITypeApprovers setVerificationNotificationEnabled(boolean $value The verificationNotificationEnabled to be set or NULL) Sets the "verificationNotificationEnabled" element.
 * @method boolean getVerificationNotificationEnabled() Gets the "verificationNotificationEnabled" element or NULL
 * @property boolean $verificationNotificationEnabled Gets the "verificationNotificationEnabled" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeApprovers extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'Approver'                        => array('min' => 1, 'max' => NULL, 'value' => new PartnerAPITypeApprover(), 'type' => 'PartnerAPITypeApprover', 'nillable' => FALSE),
            'verificationNotificationEnabled' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'boolean', 'nillable' => FALSE)
        );
    }

}
