<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'typeResponse.php';

/*
<xs:complexType name="domainVerificationResponse">
	<xs:complexContent>
		<xs:extension base="tns:response">
			<xs:sequence>
				<xs:element minOccurs="0" name="expireDate" type="xs:dateTime"/>
			</xs:sequence>
		</xs:extension>
	</xs:complexContent>
</xs:complexType>
*/

/**
 * This class represents the "domainVerificationResponse" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeResponse class.
 * 
 * @method PartnerAPITypeDomainVerificationResponse setExpireDate(string $value The expireDate to be set or NULL) Sets the "expireDate" element
 * @method string getExpireDate() Gets the "expireDate" element or NULL
 * @property string $expireDate Gets the "expireDate" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeDomainVerificationResponse extends PartnerAPITypeResponse {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'expireDate' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
