<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';
require_once 'typeFile.php';

/*
<xs:complexType name="files">
   <xs:sequence>
      <xs:element maxOccurs="unbounded" name="file" type="tns:file"/>
   </xs:sequence>
</xs:complexType>
*/

/**
 * This class represents the "files" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeFiles setFile(PartnerAPITypeFile $value The file to be set) Sets the "file" element. This method removes all previously added "file" elements and creates a new set of "file" elements.
 * @method PartnerAPITypeFiles addFile(PartnerAPITypeFile $value The file to be added) Adds a new "file" element to the set of files.
 * @method PartnerAPITypeFile|PartnerAPITypeFile[] getFile() Gets the "file" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeFile objects will be returned.
 * @property PartnerAPITypeFile|PartnerAPITypeFile[] $file Gets the "file" element. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeFile objects will be returned.
 * 
 * @package types
 * @since 1.4.1
 */
class PartnerAPITypeFiles extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'file' => array('min' => 1, 'max' => NULL, 'value' => new PartnerAPITypeFile(), 'type' => 'PartnerAPITypeFile', 'nillable' => FALSE)
        );
    }

}
