<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';

/*
    <xs:complexType name="fqdNs">
        <xs:sequence>
            <xs:element maxOccurs="unbounded" name="FQDN" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
*/

/**
 * This class represents the "fqdNs" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeFqdNs setFQDN(string $value The FQDN to be set) Sets the "FQDN" element. This method removes all previously added "FQDN" elements and creates a new set of "FQDN" elements.
 * @method PartnerAPITypeFqdNs addFQDN(string $value The FQDN to be added) Adds a new "FQDN" element to the existing set.
 * @method string|string[] getFQDN() Gets the "FQDN" element. It returns a string if there is only one element or otherwise an array of strings.
 * @property string|string[] $FQDN Gets the "FQDN" element. It returns a string if there is only one element or otherwise an array of strings.
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeFqdNs extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'FQDN' => array('min' => 1, 'max' => NULL, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
    }

}
