<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'typeRequest.php';

/*
    <xs:complexType name="getCertificateRequest">
        <xs:complexContent>
            <xs:extension base="tns:request">
                <xs:sequence>
                    <xs:element minOccurs="0" name="orderID" type="xs:string"/>
                    <xs:element minOccurs="0" name="serialNumber" type="xs:string"/>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
*/

/**
 * This class represents the "getCertificateRequest" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeRequest class.
 * 
 * @method PartnerAPITypeGetCertificateRequest setOrderID(string $value The orderID to be set or NULL) Sets the "orderID" element
 * @method string getOrderID() Gets the "orderID" element or NULL
 * @property string $orderID Gets the "orderID" element or NULL
 * 
 * @method PartnerAPITypeGetCertificateRequest setSerialNumber(string $value The serialNumber to be set or NULL) Sets the "serialNumber" element
 * @method string getSerialNumber() Gets the "serialNumber" element or NULL
 * @property string $serialNumber Gets the "serialNumber" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeGetCertificateRequest extends PartnerAPITypeRequest {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'orderID'      => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE),
            'serialNumber' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
