<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'typeRequest.php';
require_once 'typeOrderOption.php';

/*
<xs:complexType name="getOrdersRequest">
    <xs:complexContent>
        <xs:extension base="tns:request">
            <xs:sequence>
                <xs:element name="fromDate" type="xs:dateTime"/>
                <xs:element minOccurs="0" name="orderOption" type="tns:orderOption"/>
                <xs:element default="1" minOccurs="0" name="pageNumber" type="xs:int"/>
                <xs:element name="toDate" type="xs:dateTime"/>
            </xs:sequence>
        </xs:extension>
    </xs:complexContent>
</xs:complexType>
*/

/**
 * This class represents the "getOrdersRequest" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeRequest class.
 * 
 * @method PartnerAPITypeGetOrdersRequest setFromDate(string $value The fromDate to be set) Sets the "fromDate" element, format: YYYY-MM-DD
 * @method string getFromDate() Gets the "fromDate" element
 * @property string $fromDate Gets the "fromDate" element
 * 
 * @method PartnerAPITypeGetOrdersRequest setOrderOption(PartnerAPITypeOrderOption $value The orderOption to be set or NULL) Sets the "orderOption" element
 * @method PartnerAPITypeOrderOption getOrderOption() Gets the "orderOption" element or NULL
 * @property PartnerAPITypeOrderOption $orderOption Gets the "orderOption" element or NULL
 * 
 * @method PartnerAPITypeGetOrdersRequest setPageNumber(int $value The pageNumber to be set or NULL) Sets the "pageNumber" element
 * @method int getPageNumber() Gets the "pageNumber" element or NULL
 * @property int $pageNumber Gets the "pageNumber" element or NULL
 * 
 * @method PartnerAPITypeGetOrdersRequest setToDate(string $value The toDate to be set) Sets the "toDate" element, format: YYYY-MM-DD
 * @method string getToDate() Gets the "toDate" element
 * @property string $toDate Gets the "toDate" element
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeGetOrdersRequest extends PartnerAPITypeRequest {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'fromDate'    => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE),
            'orderOption' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeOrderOption', 'nillable' => FALSE),
            'pageNumber'  => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'int', 'nillable' => FALSE),
            'toDate'      => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
