<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'typeResponse.php';
require_once 'typeProducts.php';

/*
    <xs:complexType name="getProductListResponse">
		<xs:complexContent>
			<xs:extension base="tns:response">
				<xs:sequence>
					<xs:element minOccurs="0" name="products">
						<xs:complexType>
							<xs:sequence>
								<xs:element maxOccurs="unbounded" name="product" type="tns:product"/>
							</xs:sequence>
						</xs:complexType>
					</xs:element>
				</xs:sequence>
			</xs:extension>
		</xs:complexContent>
	</xs:complexType>
*/

/**
 * This class represents the "getProductListResponse" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeResponse class.
 * 
 * @method PartnerAPITypeGetProductListResponse setProducts(PartnerAPITypeProducts $value The products to be set or NULL) Sets the "products" element
 * @method PartnerAPITypeProducts getProducts() Gets the "products" element or NULL
 * @property PartnerAPITypeProducts $products Gets the "products" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeGetProductListResponse extends PartnerAPITypeResponse {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'products' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeProducts', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
