<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'typeResponse.php';

/*
    <xs:complexType name="getStatementResponse">
        <xs:complexContent>
            <xs:extension base="tns:response">
                <xs:sequence>
                    <xs:element name="statement" type="xs:string"/>
                </xs:sequence>
            </xs:extension>
        </xs:complexContent>
    </xs:complexType>
*/

/**
 * This class represents the "getStatementResponse" WSDL type.
 * 
 * It is an extension to the PartnerAPITypeResponse class.
 * 
 * @method PartnerAPITypeGetStatementResponse setStatement(string $value The statement to be set) Sets the "statement" element
 * @method string getStatement() Gets the "statement" element
 * @property string $statement Gets the "statement" element
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeGetStatementResponse extends PartnerAPITypeResponse {
    
    protected function initData() {
        $p = parent::initData();
        $n = array(
            'statement' => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
        return array_merge($p, $n);
    }

}
