<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';
require_once 'typeCertificateDetails.php';
require_once 'typeOrderDetails.php';
require_once 'typeOrderStatus.php';

/*
    <xs:complexType name="order">
        <xs:sequence>
            <xs:element minOccurs="0" name="certificateDetails" type="tns:certificateDetails"/>
            <xs:element minOccurs="0" name="orderDetails" type="tns:orderDetails"/>
            <xs:element minOccurs="0" name="orderStatus" type="tns:orderStatus"/>
        </xs:sequence>
    </xs:complexType>
*/

/**
 * This class represents the "order" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeOrder setCertificateDetails(PartnerAPITypeCertificateDetails $value The certificateDetails to be set or NULL) Sets the "certificateDetails" element.
 * @method PartnerAPITypeCertificateDetails getCertificateDetails() Gets the "certificateDetails" element or NULL
 * @property PartnerAPITypeCertificateDetails $certificateDetails Gets the "certificateDetails" element or NULL
 * 
 * @method PartnerAPITypeOrder setOrderDetails(PartnerAPITypeOrderDetails $value The orderDetails to be set or NULL) Sets the "orderDetails" element.
 * @method PartnerAPITypeOrderDetails getOrderDetails() Gets the "orderDetails" element or NULL
 * @property PartnerAPITypeOrderDetails $orderDetails Gets the "orderDetails" element or NULL
 * 
 * @method PartnerAPITypeOrder setorderStatus(PartnerAPITypeOrderStatus $value The orderStatus to be set or NULL) Sets the "orderStatus" element.
 * @method PartnerAPITypeOrderStatus getOrderStatus() Gets the "orderStatus" element or NULL
 * @property PartnerAPITypeOrderStatus $orderStatus Gets the "orderStatus" element or NULL
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeOrder extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'certificateDetails' => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeCertificateDetails', 'nillable' => FALSE),
            'orderDetails'       => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeOrderDetails', 'nillable' => FALSE),
            'orderStatus'        => array('min' => 0, 'max' => 1, 'value' => NULL, 'type' => 'PartnerAPITypeOrderStatus', 'nillable' => FALSE)
        );
    }

}
