<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';

/*
    <xs:complexType name="organizationInfo">
        <xs:sequence>
            <xs:element name="organizationName" type="xs:string"/>
            <xs:element name="taxIdentificationNumber" type="xs:string"/>
        </xs:sequence>
    </xs:complexType>
*/

/**
 * This class represents the "organizationInfo" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeOrganizationInfo setOrganizationName(string $value The organizationName to be set) Sets the "organizationName" element
 * @method string getOrganizationName() Gets the "organizationName" element
 * @property string $organizationName Gets the "organizationName" element
 * 
 * @method PartnerAPITypeOrganizationInfo setTaxIdentificationNumber(string $value The taxIdentificationNumber to be set) Sets the "taxIdentificationNumber" element
 * @method string getTaxIdentificationNumber() Gets the "taxIdentificationNumber" element
 * @property string $taxIdentificationNumber Gets the "taxIdentificationNumber" element
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeOrganizationInfo extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'organizationName'        => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE),
            'taxIdentificationNumber' => array('min' => 1, 'max' => 1, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
    }

}
