<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once 'type.php';

/*
<xs:complexType name="serialNumbers">
    <xs:sequence>
        <xs:element maxOccurs="unbounded" minOccurs="1" name="serialNumber" type="xs:string"/>
    </xs:sequence>
</xs:complexType>
*/

/**
 * This class represents the "serialNumbers" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeSerialNumbers setSerialNumber(string $value The serialNumber to be set or NULL) Sets the "serialNumber" element. This method removes all previously added "serialNumber" elements and creates a new set of "serialNumber" elements.
 * @method PartnerAPITypeSerialNumbers addSerialNumber(string $value The serialNumber to be added) Adds a new "serialNumber" element to the existing set.
 * @method string|string[] getSerialNumber() Gets the "serialNumber" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * @property string|string[] $serialNumber Gets the "serialNumber" element or NULL. If there is only one element, it will be returned, otherwise an array of strings will be returned.
 * 
 * @package types
 * @since 1.3.4
 */
class PartnerAPITypeSerialNumbers extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'serialNumber' => array('min' => 1, 'max' => NULL, 'value' => NULL, 'type' => 'string', 'nillable' => FALSE)
        );
    }

}
