<?php
/**
 * Partner API Library
 * 
 * @copyright Copyright (c) 2013-2014 Unizeto Technologies SA
 * @license license.txt
 */

require_once dirname(__FILE__).'/type.php';
require_once dirname(__FILE__).'/typeVerification.php';

/*
<xs:complexType name="verifications">
	<xs:sequence>
		<xs:element maxOccurs="unbounded" minOccurs="0" name="verification" type="tns:verification"/>
	</xs:sequence>
</xs:complexType>
*/

/**
 * This class represents the "verifications" WSDL type.
 * 
 * It is based on the PartnerAPIType class and derives some properties and methods from that class.
 * 
 * @method PartnerAPITypeVerifications setVerification(PartnerAPITypeVerification $value The verification to be set or NULL) Sets the "verification" element. This method removes all previously added "verification" elements and creates a new set of "verification" elements.
 * @method PartnerAPITypeVerifications addVerification(PartnerAPITypeVerification $value The verification to be added) Adds a new "verification" element to the existing set.
 * @method PartnerAPITypeVerification|PartnerAPITypeVerification[] getVerification() Gets the "verification" element or NULL. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeVerification objects will be returned.
 * @property PartnerAPITypeVerification|PartnerAPITypeVerification[] $verification Gets the "verification" element or NULL. If there is only one element, it will be returned, otherwise an array of PartnerAPITypeVerification objects will be returned.
 * 
 * @package types
 * @since 1.3.0
 */
class PartnerAPITypeVerifications extends PartnerAPIType {
    
    protected function initData() {
        return array(
            'verification' => array('min' => 0, 'max' => NULL, 'value' => NULL, 'type' => 'PartnerAPITypeVerification', 'nillable' => FALSE)
        );
    }

}
