<?php
namespace CertumToken;

class Autoloader 
{
    function __construct() {
        spl_autoload_register(array($this,'loader'));
    }
    static function loader($className) {
        if(strpos($className, __NAMESPACE__) !== false)
        {
            $className = substr($className,strlen(__NAMESPACE__));
        }
        else
        {
            return;
        }

        $filename = __DIR__.DIRECTORY_SEPARATOR."classes".str_replace('\\', DIRECTORY_SEPARATOR, $className).".php";

        if (file_exists($filename)) {
            
            include($filename);
            if (class_exists($className)) {
                return TRUE;
            }
        }
        return FALSE;
    }
}
